## UDisksLinuxSwapspace

UDisksLinuxSwapspace — Linux implementation of UDisksSwapspace

## Functions

UDisksSwapspace * | udisks_linux_swapspace_new ()
void | udisks_linux_swapspace_update ()

## Types and Values

| UDisksLinuxSwapspace

## Object Hierarchy

        GObject
        ╰── GDBusInterfaceSkeleton
            ╰── UDisksSwapspaceSkeleton
                ╰── UDisksLinuxSwapspace

## Implemented Interfaces

UDisksLinuxSwapspace implements GDBusInterface and UDisksSwapspace.

## Description

This type provides an implementation of the UDisksSwapspace interface on Linux.

## Functions

### udisks_linux_swapspace_new ()

    UDisksSwapspace *
    udisks_linux_swapspace_new (void);

Creates a new UDisksLinuxSwapspace instance.

#### Returns

A new UDisksLinuxSwapspace. Free with `g_object_unref()`.

### udisks_linux_swapspace_update ()

    void
    udisks_linux_swapspace_update (UDisksLinuxSwapspace *swapspace,
                                   UDisksLinuxBlockObject *object);

Updates the interface.

#### Parameters

swapspace | A UDisksLinuxSwapspace. |
object | The enclosing UDisksLinuxBlockObject instance. |

## Types and Values

### UDisksLinuxSwapspace

    typedef struct _UDisksLinuxSwapspace UDisksLinuxSwapspace;

The UDisksLinuxSwapspace structure contains only private data and should only be accessed using the provided API.